{% extends 'base.html' %}

{% block head %}
<title>Livre Mercado</title>
{% endblock %}

{% block body %}
<a href = "/login/" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--accent" id="voltar">&lt; Voltar</a>

{% if user.name!='' %}
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text">{{ user.name }}</span>
</span>
{% else %}]
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text"><a href="/login/">Fazer login</a></span>
</span>
{% endif %}

<div style="width: 50%" class="content">

    <h1 style="text-align: center;">Registrar novo usuário</h1>
    <form action="" method="POST">
        <div style="width: 100%;" class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
            <input class="mdl-textfield__input" type="text" id="login1" maxlength="96" name="login" required>
            <label class="mdl-textfield__label" for="login1">Login...</label>
        </div>
        <div style="width: 100%;" class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
            <input class="mdl-textfield__input" type="text" id="nome1" maxlength="157" name="name" required>
            <label class="mdl-textfield__label" for="nome1">Nome...</label>
        </div>
        <label class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkbox-1">
            <input type="checkbox" id="checkbox-1" class="mdl-checkbox__input" name = "client">
            <span class="mdl-checkbox__label">Cliente</span>
          </label>
        <label class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkbox-2">
            <input type="checkbox" id="checkbox-2" class="mdl-checkbox__input" name = "seller">
            <span class="mdl-checkbox__label">Vendedor</span>
          </label>
          <label class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkbox-3">
            <input type="checkbox" id="checkbox-3" class="mdl-checkbox__input" name = "manager">
            <span class="mdl-checkbox__label">Gerencia</span>
          </label>
        <input style="margin-top: 10px;" class="mdl-button mdl-js-button mdl-button--raised" type="submit" value="Registrar">
    </form>
    <br>
    <p>{{ mensagem }}</p>
</div>
{% endblock %}